STEPTEST(9)

NAME

steptest - Used by Stepconf to allow testing of acceleration and velocity values for an axis.

SYNOPSIS

loadrt steptest [count=N|names=name1[,name2...]]

FUNCTIONS

steptest.N (requires a floating-point thread)

PINS

steptest.N.jog-minus bit in
    Drive TRUE to jog the axis in its minus direction

steptest.N.jog-plus bit in
    Drive TRUE to jog the axis in its positive direction

steptest.N.run bit in
    Drive TRUE to run the axis near its current position_fb with a trapezoidal velocity profile

steptest.N.maxvel float in
    Maximum velocity

steptest.N.maxaccel float in
    Permitted Acceleration

steptest.N.amplitude float in
    Approximate amplitude of positions to command during 'run'

steptest.N.dir s32 in
    Direction from central point to test: 0 = both, 1 = positive, 2 = negative

steptest.N.position-cmd float out

steptest.N.position-fb float in

steptest.N.running bit out

steptest.N.run-target float out

steptest.N.run-start float out

steptest.N.run-low float out

steptest.N.run-high float out

steptest.N.pause s32 in (default: 0)
    pause time for each end of run in seconds

PARAMETERS

steptest.N.epsilon float rw (default: .001)

steptest.N.elapsed float r
    Current value of the internal timer

AUTHOR

Jeff Epler

LICENSE

GPL